#
# spec file for package python (Version 2.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  blt db-devel emacs emacs-nox expat gmp gpp gppshare libgpp libjpeg libnetpbm libpng-devel-packages libtiff libungif mm netpbm openssl openssl-devel pcre readline readline-devel tcl tcl-devel tix tk tk-devel x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils blt cracklib db-devel emacs emacs-nox expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext gmp libjpeg libnetpbm libpng libpng-devel libstdc++-devel libtiff libtool libungif mm netpbm openssl-devel pcre pcre-devel perl readline-devel rpm tcl tcl-devel tix tk tk-devel

Name:         python
URL:          http://www.python.org/
License:      Python
Group:        Development/Languages/Python
Autoreqprov:  on
Obsoletes:    python-nothreads
Summary:      Python Interpreter
Version:      2.3
Release:      60
Source0:      Python-%{version}.tar.bz2
Source1:      html-%{version}.tar.bz2
Source2:      pdf-a4-%{version}.tar.bz2
Source3:      pdf-letter-%{version}.tar.bz2
Source6:      README.SuSE
Source7:      suse-start-python-mode.el
Patch00:      Python-%{version}-pydoc.patch
Patch01:      Python-%{version}-cvs.patch
Patch64:      Python-%{version}-lib64.patch
Patch10:      python-distutils-rpm-6.patch
Patch20:      Python-xmlfix.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define         python_version    2.3
%define         __builddir        Python-%{version}
%define         idle_name         idle

%description
Python is an interpreted, object-oriented programming language, and is
often compared to Tcl, Perl, Scheme, or Java.  You can find an overview
of Python in the documentation and tutorials included in the python-doc
(HTML) or python-doc-pdf (PDF) packages.

If you want to install third party modules using distutils, you need to
install python-devel package.



Authors:
--------
    Guido van Rossum <guido@python.org>

%package doc
Provides:     pyth_doc pyth_ps
Obsoletes:    pyth_doc pyth_ps
Summary:      Python Documentation (HTML)
Group:        Development/Languages/Python
Autoreqprov:  on

%description doc
Tutorial, Global Module Index, Language Reference, Library Reference,
Extending and Embedding Reference, Python/C API Reference, Documenting
Python and Macintosh Module Reference in HTML format.



%package doc-pdf
Provides:     pyth_pdf
Obsoletes:    pyth_pdf
Summary:      Python PDF Documentation
Group:        Development/Languages/Python
Autoreqprov:  on

%description doc-pdf
Tutorial, Global Module Index, Language Reference, Library Reference,
Extending and Embedding Reference, Python/C API Reference, Documenting
Python and Macintosh Module Reference in PDF format.



Authors:
--------
    Guido van Rossum <guido@python.org>

%package idle
Requires:     python python-tk
Summary:      Integrated development enviroment for Python
Group:        Development/Languages/Python
Autoreqprov:  on

%description idle
IDLE is a Tkinter based Integrated Development Environment for Python.
It features a multi-window text editor with multiple undo, Python
colorizing, and many other things, as well as a Python shell window and
a debugger.



Authors:
--------
    Guido van Rossum <guido@python.org>

%package demo
Provides:     pyth_dmo
Obsoletes:    pyth_dmo
Requires:     python
Summary:      Python Demonstation Scripts
Group:        Development/Languages/Python
Autoreqprov:  on

%description demo
Various demonstrations of what you can do with Python and a number of
programs that are useful i.e. while building or extending Python.



Authors:
--------
    Guido van Rossum <guido@python.org>

%package devel
Requires:     python python-tk
Summary:      The libraries and header files needed for Python development
Group:        Development/Languages/Python
Autoreqprov:  on

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.

This package contains header files, a static library and development
tools for building Python modules, extending the Python interpreter or
embedding Python in applications.

Also includes the python distutils, which were in the python package up
to version 2.2.2.



Authors:
--------
    Guido van Rossum <guido@python.org>

%package tk
Provides:     pyth_tk python_tkinter_lib pyth_tkl python-tkinter
%ifarch %ix86
Provides:     _tkinter.so
%endif
Obsoletes:    pyth_tk pyth_tkl python-tkinter
Requires:     python tk tix blt
Summary:      TkInter - Python Tk Interface
Group:        Development/Libraries/Python
Autoreqprov:  on

%description tk
Python interface to Tk. Tk is the GUI toolkit coming along with Tcl.
The package "xrpm" e.g., uses this Python interface.



Authors:
--------
    Guido van Rossum <guido@python.org>

%package curses
Requires:     python ncurses
Obsoletes:    pyth_cur
Provides:     pyth_cur
Summary:      Python interface to the (n)curses library
Group:        Development/Libraries/Python
Autoreqprov:  on

%description curses
An easy to use interface to (n)curses CUI library. CUI stands for
console user interface.



Authors:
--------
    Guido van Rossum <guido@python.org>

%package gdbm
Requires:     python
Obsoletes:    pygdmod
Provides:     pygdmod
Summary:      Python interface to the GDBM library
Group:        Development/Libraries/Python
Autoreqprov:  on

%description gdbm
An easy to use interface to GDBM databases. GDBM is the GNU
implementation of the standard unix dbm databases.



Authors:
--------
    Guido van Rossum <guido@python.org>

%package mpz
Requires:     python
Summary:      Python GNU Multi-Precision aithmetic support
Group:        Development/Libraries/Python
Autoreqprov:  on

%description mpz
This module implements the interface to part of the GNU MP library,
which defines arbitrary precision integer and rational number
arithmetic routines.



%package xml
Requires:     python
Summary:      Python XML interface
Group:        Development/Libraries/Python
Autoreqprov:  on

%description xml
The expat-module is a Python interface to expat XML parser. Since
python2.x it is part of the core python distribution.



%prep
%setup -n %{__builddir}
%patch00
%patch01 -p1
%patch10
# %{_lib} hacks
if [ "%_lib" != "lib" ] ; then
%patch64 -p1
fi
find . -name .cvsignore -type f -print0 | xargs -0 rm -f
find . -name CVS -type d -print0 | xargs -0 rm -rf
cd Lib
%patch20

%build
########################################
# prepare
########################################
# replace rest of /usr/local/bin/python with /usr/bin/env python
find . -type f -print0 | xargs -0 perl -p -i -e 's@^#![[:space:]]*/usr/(local/)?bin/python@#!/usr/bin/env python@'
export CFLAGS="`getconf LFS_CFLAGS` -DHAVE_LARGEFILE_SUPPORT $RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export OPT="$CFLAGS -fPIC -Wall"
autoconf
# *** note the single '>' below!
echo ': ${LDSHARED='gcc -shared'}'     > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${CFLAGSFORSHARED='-fPIC'}'   >> config.cache
echo ': ${ac_cv_func_lstat='yes'}'    >> config.cache
########################################
# configure
########################################
./configure --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-ipv6 \
    --with-fpectl \
    --enable-shared \
    --with-cxx=g++
########################################
# compile
########################################
make DESTDIR=$RPM_BUILD_ROOT
# precompile emacs stuff
emacs --batch --no-site -f batch-byte-compile Misc/python-mode.el

%install
rm -rf $RPM_BUILD_ROOT
########################################
# install it
########################################
make \
    OPT="$RPM_OPT_FLAGS -fPIC" \
    prefix=%{_prefix} \
    LIBDIR=%{_libdir} \
    SCRIPTDIR=%{_libdir} \
    MANDIR=%{_mandir} \
    DESTDIR=$RPM_BUILD_ROOT \
    install
ln -s libpython2.3.so.1.0 $RPM_BUILD_ROOT/%{_libdir}/libpython2.3.so
########################################
# some cleanups
########################################
# remove hard links and replace them with symlinks
for dir in bin include %{_lib} ; do
    rm -f $RPM_BUILD_ROOT/%{_prefix}/$dir/python
    ln -s python%{python_version} $RPM_BUILD_ROOT/%{_prefix}/$dir/python
done
########################################
# documentation
########################################
export PDOCS=${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
install -d -m 755 $PDOCS/Misc
install -d -m 755 $PDOCS/paper-a4 $PDOCS/paper-letter $PDOCS/html
tar xvfj %{S:1} -C $PDOCS/html
( cd $PDOCS/html; mv Python-Docs-%{version}/* . ; rmdir Python-Docs-%{version}) 
tar xvfj %{S:2} -C $PDOCS/paper-a4
( cd $PDOCS/paper-a4; mv Python-Docs-%{version}/* . ; rmdir Python-Docs-%{version}) 
tar xvfj %{S:3} -C $PDOCS/paper-letter
( cd $PDOCS/paper-letter; mv Python-Docs-%{version}/* . ; rmdir Python-Docs-%{version}) 
install -c -m 644 README                            $PDOCS/
install -c -m 644 %{SOURCE6}                        $PDOCS/
install -c -m 644 Doc/ACKS                          $PDOCS/ACKS.Doc
install -c -m 644 Doc/TODO                          $PDOCS/TODO.Doc
install -c -m 644 Doc/README                        $PDOCS/README.Doc
for i in Misc/* ; do
  [ -f $i ] && install -c -m 644 $i                 $PDOCS/Misc/
done
########################################
# tools and demos
########################################
find Tools/ Demo/ -type d \( -regex ".*/.cvsignore" \) -exec rm -f \{\} \;
for x in `find Tools/ Demo/ \( -not -name Makefile \) -print | sort` ; do
  test -d $x && ( install -c -m 755 -d $PDOCS/$x ) \
             || ( install -c -m 644 $x $PDOCS/$x )
done
########################################
# idle
########################################
# move idle config into /etc
install -d -m755 ${RPM_BUILD_ROOT}/etc/%{idle_name}
( 
    cd ${RPM_BUILD_ROOT}/%{_libdir}/python%{python_version}/idlelib/
    for file in *.def ; do
        mv $file ${RPM_BUILD_ROOT}/etc/%{idle_name}/
        ln -sf /etc/%{idle_name}/$file  ${RPM_BUILD_ROOT}/%{_libdir}/python%{python_version}/idlelib/
    done
)
########################################
# devel
########################################
# install Makefile.pre.in and Makefile.pre
cp Makefile Makefile.pre.in Makefile.pre $RPM_BUILD_ROOT%{_libdir}/python%{python_version}/config/
########################################
# emacs stuff
########################################
install -d $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp
install -p -m644 Misc/python-mode.el $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp
install -p -m644 Misc/python-mode.elc $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp
install -p -m644 %{S:7} $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp

%clean
rm -rf $RPM_BUILD_ROOT

%files doc
%defattr(644, root, root, 755)
%doc %{_defaultdocdir}/%{name}/Misc
%doc %{_defaultdocdir}/%{name}/html
%doc %{_defaultdocdir}/%{name}/ACKS.Doc
%doc %{_defaultdocdir}/%{name}/README.Doc
%doc %{_defaultdocdir}/%{name}/TODO.Doc

%files doc-pdf
%defattr(644, root, root, 755)
%doc %{_defaultdocdir}/%{name}/paper-a4
%doc %{_defaultdocdir}/%{name}/paper-letter

%files idle
%defattr(644, root, root, 755)
%dir /etc/%{idle_name}
%config /etc/%{idle_name}/*
%doc Lib/idlelib/NEWS.txt
%doc Lib/idlelib/README.txt
%doc Lib/idlelib/TODO.txt
%doc Lib/idlelib/extend.txt
%doc Lib/idlelib/ChangeLog
%{_libdir}/python%{python_version}/idlelib
%attr(755, root, root) %{_bindir}/%{idle_name}

%files demo
%defattr(644, root, root, 755)
%doc %{_defaultdocdir}/%{name}/Demo
%doc %{_defaultdocdir}/%{name}/Tools

%files tk
%defattr(644, root, root, 755)
%{_libdir}/python%{python_version}/lib-tk/
%{_libdir}/python%{python_version}/lib-dynload/_tkinter.so

%files curses
%defattr(644, root, root, 755)
%{_libdir}/python%{python_version}/curses
%{_libdir}/python%{python_version}/lib-dynload/_curses.so
%{_libdir}/python%{python_version}/lib-dynload/_curses_panel.so

%files gdbm
%defattr(644, root, root, 755)
%{_libdir}/python%{python_version}/lib-dynload/gdbm.so

%files mpz
%defattr(644, root, root, 755)
%{_libdir}/python%{python_version}/lib-dynload/mpz.so

%files xml
%defattr(644, root, root, 755)
%{_libdir}/python%{python_version}/xml
%{_libdir}/python%{python_version}/lib-dynload/pyexpat.so

%files devel
%defattr(-, root, root)
%{_libdir}/python%{python_version}/config
%defattr(644, root, root, 755)
%{_libdir}/libpython*so
%{_prefix}/include/python*
%{_libdir}/python%{python_version}/test
%{_libdir}/python%{python_version}/distutils

%files
%defattr(644, root, root, 755)
%{_prefix}/share/emacs/site-lisp/*
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/README.SuSE
%doc %{_mandir}/man1/python.1*
%{_libdir}/libpython*so*
%{_libdir}/python
%dir %{_libdir}/python%{python_version}
%{_libdir}/python%{python_version}/*.*
%{_libdir}/python%{python_version}/bsddb
%{_libdir}/python%{python_version}/compiler
%{_libdir}/python%{python_version}/email
%{_libdir}/python%{python_version}/encodings
%{_libdir}/python%{python_version}/hotshot
%{_libdir}/python%{python_version}/lib-old
%{_libdir}/python%{python_version}/logging
%{_libdir}/python%{python_version}/plat-*
%dir %{_libdir}/python%{python_version}/site-packages
%{_libdir}/python%{python_version}/site-packages/README
%dir %{_libdir}/python%{python_version}/lib-dynload
%{_libdir}/python%{python_version}/lib-dynload/_bsddb.so
%{_libdir}/python%{python_version}/lib-dynload/_csv.so
%{_libdir}/python%{python_version}/lib-dynload/_hotshot.so
%{_libdir}/python%{python_version}/lib-dynload/_locale.so
%{_libdir}/python%{python_version}/lib-dynload/_random.so
%{_libdir}/python%{python_version}/lib-dynload/_socket.so
%{_libdir}/python%{python_version}/lib-dynload/_ssl.so
%{_libdir}/python%{python_version}/lib-dynload/_testcapi.so
%{_libdir}/python%{python_version}/lib-dynload/_weakref.so
%{_libdir}/python%{python_version}/lib-dynload/array.so
%{_libdir}/python%{python_version}/lib-dynload/binascii.so
%{_libdir}/python%{python_version}/lib-dynload/bz2.so
%{_libdir}/python%{python_version}/lib-dynload/cPickle.so
%{_libdir}/python%{python_version}/lib-dynload/cStringIO.so
%{_libdir}/python%{python_version}/lib-dynload/cmath.so
%{_libdir}/python%{python_version}/lib-dynload/crypt.so
%{_libdir}/python%{python_version}/lib-dynload/datetime.so
%{_libdir}/python%{python_version}/lib-dynload/dbm.so
%{_libdir}/python%{python_version}/lib-dynload/fcntl.so
%{_libdir}/python%{python_version}/lib-dynload/grp.so
%{_libdir}/python%{python_version}/lib-dynload/itertools.so
%{_libdir}/python%{python_version}/lib-dynload/linuxaudiodev.so
%{_libdir}/python%{python_version}/lib-dynload/math.so
%{_libdir}/python%{python_version}/lib-dynload/md5.so
%{_libdir}/python%{python_version}/lib-dynload/mmap.so
%{_libdir}/python%{python_version}/lib-dynload/nis.so
%{_libdir}/python%{python_version}/lib-dynload/operator.so
%{_libdir}/python%{python_version}/lib-dynload/ossaudiodev.so
%{_libdir}/python%{python_version}/lib-dynload/parser.so
%{_libdir}/python%{python_version}/lib-dynload/pcre.so
%{_libdir}/python%{python_version}/lib-dynload/pwd.so
%{_libdir}/python%{python_version}/lib-dynload/readline.so
%{_libdir}/python%{python_version}/lib-dynload/regex.so
%{_libdir}/python%{python_version}/lib-dynload/resource.so
%{_libdir}/python%{python_version}/lib-dynload/rotor.so
%{_libdir}/python%{python_version}/lib-dynload/select.so
%{_libdir}/python%{python_version}/lib-dynload/sha.so
%{_libdir}/python%{python_version}/lib-dynload/strop.so
%{_libdir}/python%{python_version}/lib-dynload/struct.so
%{_libdir}/python%{python_version}/lib-dynload/syslog.so
%{_libdir}/python%{python_version}/lib-dynload/termios.so
%{_libdir}/python%{python_version}/lib-dynload/time.so
%{_libdir}/python%{python_version}/lib-dynload/timing.so
%{_libdir}/python%{python_version}/lib-dynload/unicodedata.so
%{_libdir}/python%{python_version}/lib-dynload/xreadlines.so
%{_libdir}/python%{python_version}/lib-dynload/zlib.so
#these modules don't support 64-bit arches (disabled by setup.py)
%ifnarch alpha ia64 x86_64 s390x ppc64
# represent audio samples or images as strings, needs 32-bit int
%{_libdir}/python%{python_version}/lib-dynload/audioop.so
%{_libdir}/python%{python_version}/lib-dynload/imageop.so
%{_libdir}/python%{python_version}/lib-dynload/rgbimg.so
# requires sizeof(int) == sizeof(long) == sizeof(char*)
%{_libdir}/python%{python_version}/lib-dynload/dl.so
%endif
%attr(755, root, root) %{_bindir}/py*

%changelog -n python
* Tue Feb 01 2005 - mcihar@suse.cz
- fix vulnerability in SimpleXMLRPCServer (bug #50321, CAN-2005-0089)
* Mon Jan 05 2004 - mcihar@suse.cz
- missing symlink to /usr/lib/python2.3.so in devel package (bug #33779)
* Thu Sep 11 2003 - mcihar@suse.cz
- included fixes from cvs (branch release23-maint), this fixes some
  memory leaks and other bugs (-cvs.patch)
- nicer output from pydoc (-pydoc.patch)
- cleaned up configure parameters
- compiling with -Wall
* Wed Sep 10 2003 - mcihar@suse.cz
- build as shared
* Wed Sep 03 2003 - mcihar@suse.cz
- python now obsoletes python-nothreads (bug #29907)
* Thu Aug 14 2003 - mcihar@suse.cz
- fixed symlinks to configuration files
- cleaned up spec file
* Wed Aug 06 2003 - mcihar@suse.cz
- updated lib64 patch
* Tue Aug 05 2003 - mcihar@suse.cz
- updated to final 2.3, some highlights:
  * Python 2.3 is about 20-30%% faster than Python 2.2.3
  * Brand new IDLE
  * Some new or upgraded built-ins, includes better support for
  unicode, new bool type...
  * Lots of upgraded or new modules and packages.
  * PYTHONINSPECT variabale that can cause python to behave as it
  was executed with -i parameter.
* Tue Jul 29 2003 - ro@suse.de
- added tk-devel to neededforbuild
* Thu Jun 26 2003 - mcihar@suse.cz
- updated to cvs snapshot, mostly because of finally correct DESTDIR
  support, to avoid buildroot leftovers
* Tue Jun 24 2003 - mcihar@suse.cz
- better excluding site-packages from generated dirlist
* Tue Jun 17 2003 - mcihar@suse.cz
- ignore site-packages and share directories for filelists
- include install dir if not site-packages in filelists
* Tue Jun 17 2003 - mcihar@suse.cz
- better handle mutliple level of install directories when
  generating %%dir entries
* Mon Jun 16 2003 - mcihar@suse.cz
- one more distutils patch update:
  * fix generating of dirs in chrooted installs for install_data
  * don't include directory for install_scripts
* Mon Jun 16 2003 - mcihar@suse.cz
- updated patch to work around problems with self defined get_outputs
* Mon Jun 16 2003 - mcihar@suse.cz
- modified distutils to allow generating complete file list for rpm
  (including directories with %%dir macro), to use this use
--record-rpm= instead of --record=
* Thu Jun 05 2003 - mcihar@suse.cz
- move documentation where it was in 2.2 versions
- fixed permissions for some scripts in devel package
* Thu May 29 2003 - mcihar@suse.cz
- cleaned up specfile
- make executable only files that should be
* Mon May 19 2003 - mcihar@suse.cz
- removed .cvsignore files
* Tue Apr 29 2003 - mcihar@suse.cz
- updated lib64 patch
* Mon Apr 28 2003 - mcihar@suse.cz
- updated to 2.3b1, some highlights:
- sum() builtin, adds a sequence of numbers, beats reduce().
- csv module, reads comma-separated-value files (and more).
- timeit module, times code snippets.
- os.walk(), a generator slated to replace os.path.walk().
- platform module, by Marc-Andre Lemburg, returns detailed platform
  information.
* Thu Apr 10 2003 - mcihar@suse.cz
- added DEFS to config/Makefile as it was in 2.2
* Wed Apr 02 2003 - mcihar@suse.cz
- updated lib64 patch
- fixed list of built modules for 64-bit arches
* Tue Apr 01 2003 - mcihar@suse.cz
- updated to python 2.3 alpha 2
- updated many builtins and modules
- new modules: bsddb, bz2, datetime, logging, optparse, sets,
  textwrap, zipimport,
- some general things have changed:
- Hex/oct literals prefixed with a minus sign were handled
  inconsistently.
- Package index and metadata for distutils.
- Encoding declarations - you can put a comment of the form
  "# -*- coding:  -*-" in the first or second line of a Python
  source file to indicate the encoding (e.g. utf-8).
- Import from zipfiles.
- see Misc/NEWS in documentation or python website -
  http://python.org/2.3/highlights.html for more details
- moved distutils into -devel package
- cleaned up specfile
* Tue Apr 01 2003 - mcihar@suse.cz
- removed RPM_BUILD_ROOT leftovers (bug #25963)
* Thu Mar 06 2003 - kukuk@suse.de
- Provide/Obsolete python-tkinter
* Tue Jan 28 2003 - mcihar@suse.cz
- idle symlink corrected for lib64
- fixed LIBDEST path for distutils, closes #22322
* Fri Jan 10 2003 - mcihar@suse.cz
- fixed distutils for lib64
* Wed Dec 18 2002 - mcihar@suse.cz
- improved blt detection for tkinter
- build with detected version of tix
- enabled SIGFPE catching
- enabled signal module
- enabled C++ support
* Fri Nov 29 2002 - mcihar@suse.cz
- enabled ipv6 support
- no apache is needed for building
- python-nothreads is not built anymore as is seems that mod_python
  works correctly woth python 2.2.2 and threads
- Makefile also copied to config directory in rpm
* Wed Nov 27 2002 - adrian@suse.de
- Makefile.pre* to config directory
  (following the official spec file change)
* Fri Nov 08 2002 - mcihar@suse.cz
- fixed bad source number for suse-start-python-mode.el
* Thu Nov 07 2002 - mcihar@suse.cz
- fixed %%files section for idle on lib64 arches
* Wed Nov 06 2002 - mcihar@suse.cz
- included python-mode.el for emacs
- idle moved from demos to separate package
- merged tk and tkinter
* Wed Oct 30 2002 - mcihar@suse.cz
- removed not needed l2h and tetex from neededforbuild
* Wed Oct 30 2002 - ro@suse.de
- changed neededforbuild <l2h> to <latex2html>
* Wed Oct 23 2002 - mcihar@suse.cz
- updated to 2.2.2 (bugfix release)
- moved python-korean into separate source package
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Sep 10 2002 - kukuk@suse.de
- Add provides for correct update
* Thu Sep 05 2002 - ro@suse.de
- remove l2h from neededforbuild (apparently no longer used)
* Thu Aug 15 2002 - ro@suse.de
- no fpectl.so on alpha
* Tue Aug 13 2002 - uli@suse.de
- rediffed lib64 patch
* Thu Aug 08 2002 - vinil@suse.de
- new version 2.2.1
- new version of Korean codes 2.0.5
  and splitted to standalone package 'python-korean'
- get rid of Makefile.pre.in
- clean part added to spec
* Sun Jul 28 2002 - kukuk@suse.de
- removed termcap and tetex from neededforbuild (not used)
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Tue Jun 11 2002 - meissner@suse.de
- add ppc64 to list of 64bit archs that don't compile 3 of the plugins.
* Tue Jun 04 2002 - stepan@suse.de
- change more locations of lib to %%{_lib} on platforms
  that need it.
- change Makefile to use install -d instead of mkdir
  to solve trouble when installing in buildroots.
* Mon Jun 03 2002 - stepan@suse.de
- Change config/Makefile and config/Makefile.pre.in
  to use %%_lib instead of lib (fixes i.e. zope)
* Fri May 17 2002 - sf@suse.de
- changed site.py to detect the correct location (is needed at least for
  postresql to build
- it still needs to be corrected, as only 64-bit excutable shlibs
  have to reside in */lib64
* Wed May 15 2002 - coolo@suse.de
- fixing file list for s390x
* Tue May 14 2002 - ro@suse.de
- use libdir
- try to get this working with lib64
* Mon May 06 2002 - schwab@suse.de
- Build python library with -fPIC, for inclusion in shared library.
* Wed Apr 17 2002 - schwab@suse.de
- Fix detection of readline library (use -lncurses instead of -ltermcap).
* Sat Mar 23 2002 - ro@suse.de
- changed neededforbuild <l2h> to <l2h l2h-pngicons>
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 09 2002 - rvasice@suse.cz
- used correct Makefile.pre.in
* Wed Jan 09 2002 - rvasice@suse.cz
- added Makefile.pre.in to enable build other python packages
* Mon Jan 07 2002 - rvasice@suse.cz
- update to version 2.2
- recreated modules list
* Mon Dec 17 2001 - ro@suse.de
- fixed for gmp-4.x
* Mon Sep 03 2001 - rvasice@suse.cz
- added patch for Large File Support
* Mon Aug 27 2001 - rvasice@suse.cz
- removed conflicting file /etc/susehelp.d/pythonhtml.conf from
  subpackage python-doc
* Fri Aug 17 2001 - schwab@suse.de
- Compile python library with -fPIC to allow inclusion in shared
  libraries.
- Fix configure check for rl_completion_matches.
- Replace use of config.guess by %%ifarch.
* Mon Aug 13 2001 - ro@suse.de
- added regex module (needed for yodl)
- filelist probably needs re-check
* Mon Jul 30 2001 - rvasice@suse.cz
- fix /usr/local path
* Fri Jul 27 2001 - rvasice@suse.cz
- update to version 2.1.1
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Fri Apr 13 2001 - kukuk@suse.de
- fix build with new readline library
* Wed Apr 11 2001 - utuerk@suse.de
- added pythonhtml.conf for susehelp
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Mon Jan 22 2001 - kukuk@suse.de
- Use -fPIC
* Tue Jan 16 2001 - schwab@suse.de
- Compile python library with -fpic so that it can be included in a
  shared library (for mod_python).
* Mon Jan 15 2001 - mt@suse.de
- added uc-kr codec, thanks to Hwang, SangJin <violiet@susekorea.net>
* Sun Dec 31 2000 - schwab@suse.de
- Fix filelist for ia64.
* Mon Dec 18 2000 - mt@suse.de
- added sub-package python-nothreads for mod_python apache-module
- added Obsoletes for old 8.3 packages names
* Wed Dec 06 2000 - mt@suse.de
- cleaned up pythons tk dependencies
* Thu Nov 30 2000 - ro@suse.de
- fixed tix-link
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Mon Nov 27 2000 - mt@suse.de
- changed libnetpb to libnetpbm in neededforbuild
- changed file-list in python-devel
* Thu Nov 23 2000 - mt@suse.de
- added openssl-devel to neededforbuild
* Wed Nov 22 2000 - mt@suse.de
- removed site-packages from Setup.in patch
- python-64bit.patch should be used on all 64bit platforms
* Sun Nov 19 2000 - mt@suse.de
- updated to BeOpen-Python-2.0
* Fri Oct 27 2000 - kukuk@suse.de
- Use long filenames
- Fix some paths
- Include <db3/db_185.h>
* Thu Jul 06 2000 - mt@suse.de
- added anydbm (whichdb.py) patch from www.tummy.com
* Sat May 27 2000 - kukuk@suse.de
- Use libtk8.3.so and libtcl8.3.so
* Thu May 04 2000 - kukuk@suse.de
- Fix filelist for new doc dir
* Mon Mar 13 2000 - ro@suse.de
- fixed filelist for alpha
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Wed Feb 16 2000 - uli@suse.de
- passing MANDIR to "make install libinstall" (seems like it gets
  lost somewhere)
* Wed Feb 16 2000 - ro@suse.de
- man to /usr/share using macro
* Tue Feb 15 2000 - mt@suse.de
- stripped the python binary
* Mon Oct 11 1999 - max@suse.de
- ready for the new Tcl/Tk packages
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- added python_image_lib as requires to pyth_tk and as provides to pyth_tkl
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 07 1999 - mt@suse.de
- disabled pyth_dvi module in spec-file
* Wed May 26 1999 - ro@suse.de
- added libpng to neededforbuild
* Wed May 26 1999 - ro@suse.de
- added blt to neededforbuild
* Tue May 25 1999 - mt@suse.de
- new version 1.5.2
- splited into sub-packages: pyth_doc, pyth_ps, pyth_pdf,
  pyth_dvi, pyth_dmo, pyth_tk, pyth_tkl, pyth_cur, pythgdbm
  to have better base-package compatibility to andrich.net.
* Thu Mar 18 1999 - ro@suse.de
- don't set POSIXLY_CORRECT for second patch
* Mon Jan 18 1999 - ro@suse.de
- added automake to neededforbuild
- alpha-fix: don't mix up dec-osf with linux-alpha
* Tue Dec 01 1998 - mt@suse.de
- removed TkInter into a separate package - pyth_tk - to make it
  possible to replace it with a PIL based TkInter (Python Imaging
  Lib) and better package dependecies (not each app needs TkInter)
- removed Makefile.Linux - all build is done from spec file now
- more /usr/local path fixes
* Fri Nov 06 1998 - ro@suse.de
- added automake to neededforbuild
- configure with threads
* Thu Nov 05 1998 - ro@suse.de
- use db_185.h only for glibc-2.1
* Wed Sep 23 1998 - ro@suse.de
- two hacks to compile for glibc:
  Modules/bsddbmodule.c include db_185.h for glibc
  Modules/mpzmodule.c   gmp-mparam.h dont exist for glibc / use define
* Sun Aug 23 1998 - ke@suse.de
- Compress PostScript docu.
* Mon Aug 17 1998 - mt@suse.de
- linked readline- and curses-modules with ncurses
* Fri Aug 07 1998 - mt@suse.de
- python modules - file permissions changed (-x)
* Sat Jul 11 1998 - bs@suse.de
- fixed neededforbuild
* Thu Jul 09 1998 - mt@suse.de
- new revision 1.5.1
- docu in a separate package (pyth_doc)
- Tkinter uses tk8.0/tcl8.0 now
- first attempt to make it "alpha ready" (spec- & dif-file)
* Mon Mar 02 1998 - ro@suse.de
- fixed dependency to /usr/local/bin/python
* Mon Feb 09 1998 - ro@suse.de
- added some in neededforbuild
* Wed Feb 04 1998 - mt@suse.de
- new Version 1.5 with more features, html documentation and new modules
* Mon Sep 15 1997 - mt@suse.de
- added support for readline and (shared) modules: tkinter, dbm, gdbm,
  syslog, ncurses, ... - see /usr/lib/python1.4/config/Setup for details
* Thu Jun 05 1997 - mt@suse.de
- new Version 1.4
- a symlink (python -> python1.4) will be used instead of a hardlink
